name: 'Create Gitea Release'
description: 'Creates a release in Gitea and returns upload URL'

inputs:
  tag_name:
    required: true
  release_name:
    required: true
  draft:
    required: false
  prerelease:
    required: false

outputs:
  upload_url:
    description: 'The upload URL for attaching release assets'

runs:
  using: 'node16'
  main: 'index.js'